SilverLining: SilverLining::Frustum Class Reference

Public Types | Public Member Functions

# SilverLining::Frustum Class Reference

A simple class that just collects six planes together and calls it a frustum. More...

`#include <Frustum.h>`

Inherits SilverLining::MemObject.

Collaboration diagram for SilverLining::Frustum:
[legend]

List of all members.

## Public Types
enum | Planes
| Identifiers for each of the six planes that make up the viewing frustum. More...
## Public Member Functions
| Frustum ()
| Default constructor.
| ~Frustum ()
| Destructor; does nothing.
void SILVERLINING_API | SetPlane (int planeNum, const Plane &plane)
| Assigns a plane to one of the enumerated planes of the frustum.
const Plane &SILVERLINING_API | GetPlane (int planeNum) const
| Retrieves a specific Plane of the frustum.
void SILVERLINING_API | EnableFarClipCulling (bool bEnable)
| Enables culling against the far clip plane from this frustum (enabled by default.

## Detailed Description

A simple class that just collects six planes together and calls it a frustum.

## Member Enumeration Documentation

enum SilverLining::Frustum::Planes

Identifiers for each of the six planes that make up the viewing frustum.

## Constructor & Destructor Documentation

SilverLining::Frustum::Frustum | ( |  | ) | `[inline]`

Default constructor.

SilverLining::Frustum::~Frustum | ( |  | ) | `[inline]`

Destructor; does nothing.

## Member Function Documentation

void SILVERLINING_API SilverLining::Frustum::EnableFarClipCulling | ( | bool | bEnable | ) | `[inline]`

Enables culling against the far clip plane from this frustum (enabled by default.

)

const Plane& SILVERLINING_API SilverLining::Frustum::GetPlane | ( | int | planeNum | ) | const`[inline]`

Retrieves a specific Plane of the frustum.

Parameters:

  | planeNum | A member of the Planes enumeration, specifying if you wish to retrieve the near, left, right, top, bottom, or back frustum plane.

Returns:
  A const reference to the Plane object requested.

void SILVERLINING_API SilverLining::Frustum::SetPlane | ( | int | planeNum,
|  | const Plane & | plane |
| ) |  |  | `[inline]`

Assigns a plane to one of the enumerated planes of the frustum.

Parameters:

  | planeNum | A member of the Planes enumeration, specifying if this plane represents the near, left, right, top, bottom, or back frustum plane.
  | plane | A Plane object representing the Frustum plane specified.

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/Frustum.h